<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('./partials/head.ejs') %>
    
    <link rel="stylesheet" href="/public/css/dragfile.css">
    
    <!-- <script src="//code.jquery.com/jquery-1.11.1.min.js"></script> -->
    <!-- <script src="https://cdn.tiny.cloud/1/no-api-key/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

    <script>
    tinymce.init({
        selector: 'textarea#editor',
        skin: 'bootstrap',
        plugins: 'lists, link, image, media',
        toolbar: 'h1 h2 bold italic strikethrough blockquote bullist numlist backcolor | link image media | removeformat help',
        menubar: false
    });
    </script> -->

    <!-- include libraries(jQuery, bootstrap) -->
    
    <title>Create Post</title>
</head>
<body>
    <%- include('./partials/sidebar.ejs') %>

    <div class="page-content pt-3 pl-1 pr-1" id="content">
        
        <div class="container">
        <div class="row justify-content-md-center">
            <div class="col-lg-8 pr-3">
            <div class="d-md-flex">
            <%- include('./partials/search.ejs') %>

            <!-- Button Section -->
            <div class="d-flex bd-highlight mb-2 mt-2">
                <div class="mr-1 py-2 bd-highlight" style="color: rgba(0, 0, 0, 0.5);">Feeds</div>
                <div class="p-2 bd-highlight text-orange" style="font-weight: bold;"><i class="fas fa-caret-right text-orange mr-2"></i>Start a post</div>
                <div class="p-2 bd-highlight" style="margin-left: 13%;">
                    <button type="submit" class="btn btn-primary">Cancel</button>
                </div>
                <div class="p-2 bd-highlight">
                    <button type="submit" class="btn btn-primary">Save and create a new one</button>
                </div>
                <div class="p-2 bd-highlight">
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </div>

            <!-- <div class="separator"></div> -->

            <!-- Styling Section -->
            <!-- <div class="d-flex bd-highlight mb-2 mt-2">
                <div class="p-2 bd-highlight mx-2">
                    <span style="font-size: 18px;">T</span><span style="font-size: 13px;">T</span>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <span style="font-size: 18px;">B</span>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <span style="font-size: 18px;">/</span>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <span style="font-size: 18px;">U</span>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <i class="fas fa-indent"></i>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <i class="fas fa-align-left"></i>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <i class="fas fa-link"></i>
                </div>
                <div class="p-2 bd-highlight" style="margin-left: 40%;">
                    <i class="fas fa-image"></i>
                </div>
                <div class="p-2 bd-highlight mx-2">
                    <i class="fas fa-file"></i>
                </div>
            </div> -->

            <!-- <div class="separator"></div> -->

            <!-- Tiny WYSIWYG  -->
            <!-- <div class="d-flex">
                <div class="form-group">
                    <textarea id="editor"></textarea>
                 </div>
            </div> -->

            <!-- Content Section -->
            <section>
                <div class="d-flex flex-column bd-highlight mb-3 mt-3">
                    <form action="/create-post" method="post">
                        <div class="d-flex mb-3">
                        <div class="form-group post-form">
                          <input type="title" class="form-control mb-3" id="title" name="title" placeholder="Title goes here">
                        </div>
                        </div>
                        <div class="form-group">
                            <select class="form-control">
                                <option value="disabled selected">Category</option>
                                <option>Bussiness</option>
                                <option>Entertainment</option>
                                <option>Travel</option>
                              </select>
                        </div>
                        <div class="form-group">
                            <div class="drag-area">
                                <button>Drag photo or upload here</button>
                                <input type="file" hidden>
                            </div>
                        </div>
                        <div class="d-flex bd-highlight mb-3">
                            <div class="form-group">
                                <textarea class="form-control" id="content" name="content" rows="3" placeholder="Body text goes here"></textarea>
                            </div>
                        </div>
                        <div class="d-flex ml-3" style="font-weight: bold;">Add hashtag</div>
                      </form>
                </div>
            </section>
            
    

            


              
            </div>  
            
            <%- include('./partials/rightNav.ejs') %>
            <%- include('./partials/logout.ejs') %>
            <%- include('./partials/about.ejs') %>
            <%- include('./partials/term.ejs') %>
            <%- include('./partials/help.ejs') %>
            
          </div>
      </div>
    </div>
    </div>


    <%- include('./partials/script.ejs') %>
    <script src="/public/js/dragfile.js"></script>
</body>
</html>